LINUX.ORG.RU

[Archlinux] 32 битное приложение на 64 битной системе.


0

0

Попробовал поставить arch x86_64 Прирост производительности заметен даже невооруженному глазу. Поэтому нет желания возвращаться на i686

Но как всегда не обошлось без проблем. Не нашел wine и в мозилке flashplugin ставиться только тот что в репозитории лежит (а он не тянет кириллицу).

И того и другого для х86_64 не нашел. Но видел что можно собирать 32 битное приложение для x86_64. Отсюда вопросы:

1 где можно прочитать как правильно такие приложения компилить?

2 На сайте wine я даже не смог найти ссылку чтобы скачать исходники. (не дурак вроде, но не нашел, только пакеты для убунт дебианов и т.п.)

3 Чтобы флэшплагин работал, надо ставить 32 битную мозилку?

4 программы из аура тоже заточены под 32 или ставятся на любую архитектуру?

Заранее благодарен.

1. yaourt, bauerbill и т.д. , хотя можно и «вручную всё сделать»

4. в PKGBUILD указано для какой архитектуры пакет

dhampire ★★★ ()

> Прирост производительности заметен даже невооруженному глазу.

это самовнушение

На сайте wine я даже не смог найти ссылку чтобы скачать исходники

в aur есть bin32-wine

Чтобы флэшплагин работал, надо ставить 32 битную мозилку?

раньше ставили 32битный флеш через nspluginwrapper, потом перешли на 64битный флеш, сейчас наверное все повально будут либо возвращаться на nspluginwrapper, либо на youtube-dl

программы из аура тоже заточены под 32 или ставятся на любую архитектуру?

там есть отдельные bin32- и lib32- пакеты.

waker ★★★★★ ()
Ответ на: комментарий от waker

>это самовнушение

У тебя, если на твоём железе нет её, то молчи.

ТС flash можешь ставить 32, но я использую 64-flash, абодовцы хоть и прекратили его поддержку, но он работает на все 100% для просмотра видео.

Absolute_Unix ()
Ответ на: комментарий от Absolute_Unix

c wine разобрался. Спасибо. Все работает теперь нормально. А вот флэш не видиться. Firefox говорит поставь флэш. 64 не подходит так как в нем не работает кириллица. А копипастить в этот плеер имхо извращение.Сейчас пока читаю про nspluginwrapper.

FireBall ()
Ответ на: комментарий от FireBall

Я так понял, что надо ставить nspluginwrapper-flash-prerelease.

Но он у меня ушел в рекурсию.

yaourt -S nspluginwrapper-flash-prerelease

==> Downloading nspluginwrapper-flash-prerelease PKGBUILD from AUR... bsdtar: Removing leading '/' from member names x plugin.install x adobe_eula.txt x PKGBUILD

Comment by: richerVE on Wed, 07 Apr 2010 15:13:33 +0000 RC1 is out

Comment by: system on Wed, 07 Apr 2010 15:55:37 +0000 I no longer use Arch Linux regularly, so I dropped ownership of this package.

Comment by: syne on Thu, 27 May 2010 10:40:35 +0000 this is an update, but i got the numbering down now thanks to anish, so please install MANUALLY. thanks!

Comment by: donvla on Fri, 11 Jun 2010 09:20:25 +0000 What's the stable counterpart to this package?

First Submitted: Wed, 18 Nov 2009 02:35:20 +0000 nspluginwrapper-flash-prerelease 10.1.53.64-1 : 32-bit flash 10.1 prerelease for arch64 ( Unsupported package: Potentially dangerous ! ) ==> Edit PKGBUILD ? [Y/n] («A» to abort) ==> ------------------------------------ ==> т n

Please add \$EDITOR to your environment variables for example: export EDITOR=«vim» (in ~/.bashrc) (replace vim with your favorite editor)

==> Edit PKGBUILD with:

/usr/lib/yaourt/basicfunctions.sh: line 186: PKGBUILD: команда не найдена ==> nspluginwrapper-flash-prerelease dependencies: - lib32-alsa-lib (already installed) - lib32-libxt (already installed) - mozilla-common (already installed) - nspluginwrapper-debian (building from AUR) - lib32-nss (package found) - lib32-curl (package found) - lib32-gtk2 (package found)

==> Edit PKGBUILD ? [Y/n] («A» to abort) ==> ------------------------------------ ==> n

==> nspluginwrapper-flash-prerelease dependencies: - lib32-alsa-lib (already installed) - lib32-libxt (already installed) - mozilla-common (already installed) - nspluginwrapper-debian (building from AUR) - lib32-nss (package found) - lib32-curl (package found) - lib32-gtk2 (package found)

==> Edit plugin.install ? [Y/n] («A» to abort) ==> ------------------------------------------ ==> n

==> Continue building nspluginwrapper-flash-prerelease ? [Y/n] ==> ---------------------------------------------------------- ==> ==> Building and installing package ==> Install or build missing dependencies for nspluginwrapper-flash-prerelease: разрешение зависимостей... проверка на взаимную несовместимость...

Цели (31): lib32-nspr-4.8.4-1 lib32-sqlite3-3.6.23.1-1 lib32-nss-3.12.6-3 lib32-curl-7.20.1-1 lib32-libjpeg-8.0.2-1 lib32-libtiff-3.9.2-2 lib32-glib2-2.24.1-1 lib32-atk-1.30.0-1 lib32-pixman-0.18.2-1 lib32-xcb-util-0.3.6-1 lib32-cairo-1.8.10-1 lib32-libxft-2.1.14-1 lib32-pango-1.28.0-1 lib32-libxinerama-1.1-1 lib32-libxi-1.3-2 lib32-libgpg-error-1.7-3.1 lib32-libgcrypt-1.4.5-2.1 lib32-opencdk-0.6.6-1.1 lib32-libtasn1-2.6-1 lib32-lzo2-2.03-1 lib32-ncurses-5.7-3 lib32-readline-6.1.002-1 lib32-gnutls-2.8.6-1 lib32-dbus-core-1.2.24-1 lib32-libcap-2.19-1 lib32-avahi-0.6.25-3.1 lib32-libcups-1.4.3-2 lib32-db-4.8.26-2 lib32-heimdal-1.3.3-1 lib32-pcre-8.02-1 lib32-gtk2-2.20.1-2

Размер загружаемых файлов: 0,00 МБ Размер устанавливаемых файлов: 25,37 МБ

Приступить к установке? [Y/n] y проверка целостности пакета... (31/31) проверка возможных конфликтов файлов [########################################] 100% ( 1/31) установка lib32-nspr [########################################] 100% ( 2/31) установка lib32-sqlite3 [########################################] 100% ( 3/31) установка lib32-nss [########################################] 100% ( 4/31) установка lib32-curl [########################################] 100% ( 5/31) установка lib32-libjpeg [########################################] 100% ( 6/31) установка lib32-libtiff [########################################] 100% ( 7/31) установка lib32-glib2 [########################################] 100% ( 8/31) установка lib32-atk [########################################] 100% ( 9/31) установка lib32-pixman [########################################] 100% (10/31) установка lib32-xcb-util [########################################] 100% (11/31) установка lib32-cairo [########################################] 100% (12/31) установка lib32-libxft [########################################] 100% (13/31) установка lib32-pango [########################################] 100% (14/31) установка lib32-libxinerama [########################################] 100% (15/31) установка lib32-libxi [########################################] 100% (16/31) установка lib32-libgpg-error [########################################] 100% (17/31) установка lib32-libgcrypt [########################################] 100% (18/31) установка lib32-opencdk [########################################] 100% (19/31) установка lib32-libtasn1 [########################################] 100% (20/31) установка lib32-lzo2 [########################################] 100% (21/31) установка lib32-ncurses [########################################] 100% (22/31) установка lib32-readline [########################################] 100% (23/31) установка lib32-gnutls [########################################] 100% (24/31) установка lib32-dbus-core [########################################] 100% (25/31) установка lib32-libcap [########################################] 100% (26/31) установка lib32-avahi [########################################] 100% (27/31) установка lib32-libcups [########################################] 100% (28/31) установка lib32-db [########################################] 100% (29/31) установка lib32-heimdal [########################################] 100% (30/31) установка lib32-pcre [########################################] 100% (31/31) установка lib32-gtk2 [########################################] 100%

==> Downloading nspluginwrapper-debian PKGBUILD from AUR... bsdtar: Removing leading '/' from member names x PKGBUILD x nspluginwrapper.install x deb2targz

First Submitted: Thu, 28 Jan 2010 22:52:11 +0000 nspluginwrapper-debian 1.3.0-1 : Netscape pluginwrapper, use browserplugins meant for different architechtures — directly from the Debian package ( Unsupported package: Potentially dangerous ! ) ==> Edit PKGBUILD ? [Y/n] («A» to abort) ==> ------------------------------------

подскажите, что не так делаю? Заранее благодарен

FireBall ()

> КАЖУЩИЙСЯ Прирост производительности заметен даже невооруженному глазу.

fixed for you.

tempuser002 ()
Ответ на: комментарий от tempuser002

Ага, а теперь геморройтесь с 32bit зависимостями, начиная с flash, заканчивая wine32.

tempuser002 ()
Ответ на: комментарий от tempuser002

>начиная с flash, заканчивая wine32

А что, есть что-то ещё? :}

Deleted ()
Ответ на: комментарий от tempuser002

> КАЖУЩИЙСЯ Прирост производительности заметен даже невооруженному глазу.

fixed for you.

Исправлено для тебя? Нет для тебя. гы

Absolute_Unix ()
Ответ на: комментарий от tempuser002

>Ага, а теперь геморройтесь с 32bit зависимостями, начиная с flash, заканчивая wine32.

В Ubuntu wine на 64/32 системах ставится в два клика и flash тоже, поэтому делай вдоль.

Absolute_Unix ()
Ответ на: комментарий от Absolute_Unix

Извиняюсь, конечно, но холивара не надо. Все равно в итоге все при своих мнениях остануться.

Помогите пожалуйста разобраться с флешем. Что пишет консоль я написал выше.

Заранее благодарен

FireBall ()

да вы что!? арч же мегаадовоузерфрендли! попробуй ещё и скайп поставить.

ggrn ★★★★★ ()
Ответ на: комментарий от Deleted

>А что, есть что-то ещё? :}

Ага. Например, драйвера для моего принтера)

kss ★★★★★ ()
Ответ на: комментарий от kss

Продать и купить новый O.o А так, конечно, не очень удобно, если с таким сталкиваешься/

Deleted ()
Ответ на: комментарий от Absolute_Unix

Пробовал. Не выходит.

nspluginwrapper -i /opt/mozilla/lib/plugins/libflashplayer.so nspluginwrapper: /opt/mozilla/lib/plugins/libflashplayer.so is not a valid NPAPI plugin

Вот на этом этапе выводиться ошибка. Не могу понять что сделать...

FireBall ()
Ответ на: комментарий от tempuser002

skype

Вот буквально пару дней назад поставил skype на debian_64 http://lexems.blogspot.com/2010/06/skype-debian-amd64.html

Сам использую flash64. Но тоже сильно парит отсутствие кириллицы. Адобовцы ватоКаты, сами не могут и код не расшаривают.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.